Bug 1658265 - [RFE] virt-who-configure-plugin should set 'NO_PROXY=*' by default.
Summary: [RFE] virt-who-configure-plugin should set 'NO_PROXY=*' by default.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Kunxin Huang
satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 16:18 UTC by Rich Jerrido
Modified: 2020-06-22 18:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, if you had an HTTP proxy configured in Satellite, the virt-who configuration attempted to use the HTTP proxy to submit virt-who data and failed. With this release, virt-who ignores the HTTP proxy setting and submits data to Satellite directly.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25746 Normal Closed virt-who-configure-plugin should set 'NO_PROXY=*' by default. 2020-09-23 20:53:13 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:21 UTC

Description Rich Jerrido 2018-12-11 16:18:27 UTC
Description of problem:

Many customers configure their Satellites to reach the CDN via an HTTP Proxy. 
By default, we guide the customers to install virt-who on the Satellite server. As such, the virt-who configuration will attempt to use the configured HTTP proxy to submit virt-who data and will fail. 

As it is rare that the HTTP proxy allows this connection and as such, we request that we set 'NO_PROXY=*' in /etc/sysconfig/virt-who

Comment 4 Rich Jerrido 2018-12-11 16:24:13 UTC
Note: the virt-who wizard allows you not to set a proxy, but when no proxy is configured in the plugin, virt-who defaults to using the same proxy as RHSM / subscription-manager. 

To TRULY set no proxy (either implicit or explicit), we need to set NO_PROXY=*

Comment 5 Marek Hulan 2018-12-20 20:05:15 UTC
Created redmine issue https://projects.theforeman.org/issues/25746 from this bug

Comment 6 pm-sat@redhat.com 2018-12-21 15:04:01 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25746 has been resolved.

Comment 10 errata-xmlrpc 2019-10-22 12:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.